GET
/
v1
/
learning
/
student
/
revision
/
topics
TypeScript client
import { TxAgentKitClient } from '@tx-agent-kit/sdk'

const client = new TxAgentKitClient({
  token: process.env.TX_AGENT_KIT_TOKEN
})

const response = await client.studentExperience.getStudentRevisionTopics({
  query: {},
})
{
  "items": [
    {
      "lessonId": "<string>",
      "title": "<string>",
      "topicId": "<string>",
      "skills": [
        {
          "skillId": "<string>",
          "skillLabel": "<string>",
          "masteryPercent": 50,
          "observationCount": 1,
          "lastPractisedAt": "<string>"
        }
      ],
      "lastPractisedAt": "<string>",
      "resources": {
        "helpsheet": true,
        "video": true
      }
    }
  ],
  "nextCursor": "<string>"
}

Query Parameters

subjectId
enum<string>
Available options:
maths,
english,
verbal-reasoning,
non-verbal-reasoning

a string at most 200 character(s) long

Maximum string length: 200
sort
enum<string>
Available options:
curriculum,
last-practised,
progress-asc,
progress-desc
cursor
string

a string at most 2048 character(s) long

Maximum string length: 2048
limit
string

a string to be decoded into a number

Response

Success

items
object[]
required
nextCursor
string | null
required